<?php

header('Content-type: application/json');

$tags = array(
	array(
		'name' => 'СССР',
		'count' => 25,
		'icon' => '',
		'slug' => 'sssr'
	),
	array(
		'name' => 'Живопись',
		'count' => 13,
		'icon' => '',
		'slug' => 'art'
	),
	array(
    		'name' => 'Скульптура',
    		'count' => 3,
    		'icon' => '',
    		'slug' => 'scut1'
    	),
    array(
        		'name' => 'Артитектура',
        		'count' => 18,
        		'icon' => '',
        		'slug' => 'scut2'
        	),
    array(
        		'name' => '60е',
        		'count' => 6,
        		'icon' => '',
        		'slug' => 'scut3'
        	),
    array(
        		'name' => 'Арт деко',
        		'count' => 22,
        		'icon' => '',
        		'slug' => 'scut4'
        	),
    array(
            		'name' => 'Орнамент',
            		'count' => 3,
            		'icon' => '',
            		'slug' => 'scut5'
            	),
     array(
             		'name' => 'Арт',
             		'count' => 20,
             		'icon' => '',
             		'slug' => 'scut6'
             	)
);

for ($i=0;$i<40;$i++)
{
    $tags[]= array(
        'name' => 'Ляули',
        'count' => rand(1, 50),
        'icon' => '',
        'slug' => 'scut'.$i
    );
}

if (is_file('./pubs.json'))
{
    $publicationsByCriteria = json_decode(file_get_contents('./pubs.json'), true);
}
else {
    $publicationsByCriteria = array(
        array(
            'id' => 4,
            'name' => 'Илья Репин',
            'genre' => 'реализм',
            'icon' => '',
            'tags' => array(
                'sssr' => 1
            )
        ),
        array(
            'id' => 5,
            'name' => 'Поленов',
            'genre' => 'академизм',
            'icon' => '',
            'tags' => array(
                'art' => 1
            )
        ),
        array(
                'id' => 7,
                'name' => 'As',
                'genre' => 'ghhh',
                'icon' => '',
                'tags' => array(
                    'art' => 1,
                    'scut1' => 1,
                    'scut2' => 1
                )
            ),
        array(
                    'id' => 8,
                    'name' => 'As2',
                    'genre' => 'ghhh2',
                    'icon' => '',
                    'tags' => array(
                        'art' => 1,

                    )
                )
    );

    for ($i=0;$i<10;$i++)
    {
        $tgs = array();
        for ($j=1;$j < rand(2,6);$j++)
        {
            $tgs['scut'.rand(1,40)] = 1;
        }
        $publicationsByCriteria[]= array(
            'id' => mt_rand(1,40),
                    'name' => 'Вася '.$i,
                    'genre' => 'ghhh2',
                    'icon' => '',
                    'tags' => $tgs
        );
    }

    $cached_pubs = json_encode($publicationsByCriteria);
    //var_dump($cached_pubs);
    file_put_contents('./pubs.json', $cached_pubs);
}


if ($criteria = $_REQUEST['p_by_c'])
{
	if ($criteria == 'all')
	{
		$result = $publicationsByCriteria;
	}
	else
	{
		$criteria_tags = array_flip(explode(',', trim($criteria)));
		$result = array();
		foreach ($publicationsByCriteria as $key => $pub) 
		{
			$q = array_intersect_key($pub['tags'], $criteria_tags);
			if (sizeof($q) > 0)
			{
				$result[] = $pub;
			}		
		}
	}
	echo json_encode($result);
	exit;
}
elseif ($_REQUEST['tags'] == 1)
{
	echo json_encode($tags);
	exit;
}
elseif (intval($_REQUEST['p_by_id']) > 0) 
{
	echo file_get_contents(dirname(__FILE__).'/p'.intval($_REQUEST['p_by_id']).'.json');
	exit;
}